<?php

function spacer($width, $height)
{
	echo '<img src="/images/graphics/spacer.gif" width="' . $width . '" height="' . $height . '">';
}
function wrap($long_str, $len)
{
	return chunk_split($long_str, $len, '<br>');
}

function authenticate()
{
	$auth = false;

	$authUser = $_SERVER['PHP_AUTH_USER'];
	$authPass = $_SERVER['PHP_AUTH_PW'];
	if ( $authUser && $authPass )
	{
		$filename = $_SERVER['HTTPD_SERVER_ROOT'] . 'admin/conf/htpasswd';
		$fd = fopen( $filename, 'r');
		if ( !$fd)
			return false;
		$all = fread($fd, filesize($filename));
		fclose($fd);

		$lines = explode("\n", $all);
		foreach( $lines as $line )
		{
			list($user, $pass) = explode(':', $line);
			if ( $user == $authUser )
			{
				$salt = substr($pass,0,2);
				$encypt = crypt($authPass, $salt);
				if ( $pass == $encypt )
				{
					$auth = true;
					break;
				}
			}
		}
	}
	return $auth;
 
}

function failToAuth()
{
	$tag = time();
	$_SESSION['online0'] = $tag;
	header('WWW-Authenticate: Basic realm="Admin Center ' . $tag .'"');
	header('HTTP/1.1 401 Unauthorized');

	echo "<html>\n";
	echo "<body>\n";
	echo '<div align="center"><h3>You must enter a valid login ID and password to access this site</h3></div>'."\n";
	echo "</body>\n";
	echo "</html>\n";
	exit();
}

session_start(); 

if ( !isset($_SESSION['has_login']) ) 
{
	if ( isset($_SESSION['login_url']) && 
		 ($_SESSION['login_url'] != $_SERVER['REQUEST_URI'] ) )
		failToAuth();


	if (! authenticate() )
	{
		session_unset();
		session_destroy();
		session_start();
		failToAuth();
	}

	$_SESSION['has_login'] = 1;
	$_SESSION['online'] = time();

}
elseif ( $_SESSION['has_login'] != 1 )
{
	if ( $_SESSION['login_url'] == $_SERVER['REQUEST_URI'] )
	{
		unset($_SESSION['has_login']);
		failToAuth();
	}
	else
	{
		$_SESSION['login_url'] = '/admin/index.php';
		header('Location: /index.html');
		exit();
	}

}
else
{
	$curTime = time();
	if ( $curTime - $_SESSION['online'] > 300 )
	{
		$_SESSION['timeout_url'] = $_SERVER['REQUEST_URI'];
		header('Location: /admin/timeout.php');
		exit();
	}
	else
		$_SESSION['online'] = $curTime;
}



?>
