<?php
require_once('../scripts/ConfManager.php'); 
require_once('../scripts/Wizard.php');
require_once('../scripts/DTblDef.php');

include '../authHeader.php';

if ( !isset($GLOBALS['_DTblDef_']) )
	$GLOBALS['_DTblDef_'] = new DTblDef();

$tblDef = &$GLOBALS['_DTblDef_'];

if ( !isset($_SESSION[$CONF_ID]) )
{
	$confMgr = new ConfManager();
	$confMgr->loadConfig($CONF_ID);
}
else
{
	$confMgr = &$_SESSION[$CONF_ID];
	$confMgr->checkModify($CONF_ID, NULL);
}
$_SESSION['CONF_ID'] = $CONF_ID;
if ( ($_POST['trigger'] == 'wzfin') && isset($_SESSION[$WIZ_ID]) )
{
	unset($_SESSION[$WIZ_ID]);
}


if ( $_POST['trigger'] == 'del' )
{
	$confMgr->del($_POST['objName'], $_POST['objId']);
}

$menuId = $_GET['id'];
if ( $menuId == NULL )
	$menuId = 0;

?>
<html>
<head>
<title>LiteSpeed Web Server Config - <?php echo $title; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-control" content="no-cache">
<link rel="stylesheet" type="text/css" href="/styles/servconf.css">
<script src="../scripts/confform.js"></script>
</head>

<body>
<form name="confform" method="post" action="">
<input type="hidden" name="parentWin">
<input type="hidden" name="objName">
<input type="hidden" name="objId">
<input type="hidden" name="trigger">
<table width="770" border="0" cellpadding="0" cellspacing="0">
  <tr><td><?php include '../../banner.php'; ?></td></tr>
  <tr><td>
		<table width="100%" height="23" border="0" cellpadding="0" cellspacing="0" background="/images/graphics/banner_opt_bg.gif">
			<tr class="top-action">
			<td nowrap width="150" class="top-action<?php if ( $confMgr->_isChanged ) echo '-active';?>"><img src="/images/graphics/arrow_right1.gif" width="7" height="11">&nbsp;<a href="../serv_mgr/index.php">Apply Changes</a></td>
			<td nowrap width="60"><img src="/images/graphics/arrow_right1.gif" width="7" height="11">&nbsp;<a href="../index.php">Home</a></td>
			<td width="430">&nbsp;</td>
			<td nowrap width="70"><img src="/images/graphics/arrow_right1.gif" width="7" height="11">&nbsp;<a href="logout.php">Log Off</a>&nbsp;</td>
			<td nowrap width="60"><img src="/images/graphics/arrow_right1.gif" width="7" height="11">&nbsp;<a href="javascript:help('<?php echo $help_html;?>')">Help</a></td>
		</tr></table>
  </td></tr>
  <tr><td><?php spacer(1,15);?></td></tr>
  <tr><td><table width="100%" border="0" cellpadding="0" cellspacing="0"> 
	<tr>
	<td width="150" valign="top" bgColor="#F7F7FA">
		<?php include 'confMenu.php'; ?>
	</td>
	<td width="620" height="100%" valign="top">
		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
