<?php 
$title = 'Server Script Handler settings'; 
$help_html = 'ScriptHandler_Help.html';
include 'confHeader.php';
include 'servTab.php';
$tabIndex = 4;

$scHandler = &$confMgr->_serv['scriptHandler'];
$err = &$confMgr->_servErr['scriptHandler'];
$fcgiHandlers = $confMgr->_serv['fcgiHandlers'];
$servletHandlers = $confMgr->_serv['servletHandlers'];
$webServers = $confMgr->_serv['webServers'];
$finishPage = "servScript.php?id=$menuId";

include 'tabHeader.php'; 
?>

<table width="100%" border="0" cellpadding="0" cellspacing="10">
	<?php $tblDef->showTitleLabel('Server '.$confMgr->_serv['general']['serverName'].' - Script Handler'); ?>
	<tr><td>
<?php 
	$cur_table = &$tblDef->getTblDef( 'A_SCRIPT' );
	$cur_table->printHeaderLine(false);
	if ( $scHandler )
	{
		$keys = array_keys( $scHandler );
		sort( $keys );
		foreach( $keys as $key )
		{
			$type = $scHandler[$key]['type'];
			if ( $type === 'fcgi' )
				$cur_table->_dattrs[2]->_maxVal = $fcgiHandlers;
			elseif ( $type === 'servlet' )
				$cur_table->_dattrs[2]->_maxVal = $servletHandlers;
			elseif ( $type === 'proxy' )
				$cur_table->_dattrs[2]->_maxVal = $webServers;
			else
				$cur_table->_dattrs[2]->_maxVal = NULL;

			$cur_table->printHtmlLine1($scHandler[$key], $err[$key], NULL);
		}
	}
?>
	</table>
	</td></tr>
	<?php if ( !$scHandler ) {
	echo '<tr><td>&nbsp;</td></tr>'."\n";
	echo '<tr><td>&nbsp;</td></tr>'."\n";
	echo '<tr><td>&nbsp;</td></tr>'."\n";
	}?>
	<tr><td align="center">
		<a href="javascript:wiz('ASscr','','servScript1.php')"><img src="/images/buttons/add.gif" border="0" width="55" height="22"></a>
	</td></tr>
</table>
 <?php 
include 'tabFooter.php';
include 'confFooter.php';
?>
