<?php 
$title = 'Security settings';
$curPage = 'servSecurity3.php';
$tips = array();
$tips[] = 'To deny access from certain address, put "ALL" in allowed list, and put subnet or IP in denied list. To allow only certain IP or subnet to access the site, put "ALL" in denied list and specify the address in the allowed list.';
$tips[] = 'Input format can be either IP like 192.168.0.2, or sub-network like 192.168.* or subnet/netmask like 192.168.128.5/255.255.128.0.';
$tips[] = 'If you have trusted IP or sub-network, then you must specify them in allowed list by adding a trailing "T" such as 192.168.1.*T. Trusted IP or sub-network is not limited by connection/throttling limit.';
include 'wizardHeader.php';
?>
<table width="100%" border="0" cellpadding="0" cellspacing="10">
	<tr><td>
	<?php $cur_table = &$tblDef->getTblDef('A_SECAC');
		$cur_table->toHtmlInput($wizard->_temp, $wizard->_tempErr, NULL); ?>
	</td></tr>
</table>
<?php 
include 'wizardFooter.php';
?>
