#!/bin/sh
FN=$1
LEVEL=$2
FN_GZ="$FN.gz"
FN_GZL="$FN.gzl"
FN_GZT="$FN.gzt"

if [ -f $FN_GZL ] || [ -f $FN_GZT ] || [ -f $FN_GZ ]; then
	exit 0
fi

touch $FN_GZL
gzip -c -$LEVEL $FN > $FN_GZT

if [ $? -eq 0 ]; then
	mv $FN_GZT $FN_GZ
else
	rm $FN_GZT
fi
rm $FN_GZL
exit 0