<?php 
$tips = array();
$tips[] = 'You can set up external Fast CGI application and AJPv13 (Apache JServ Protocol v1.3) compatible servlet engine.';
$tips[] = 'Give a name that easy to remember, other places will refer to this app by name.';
$tips[] = 'Address can be IPv4 socket address "IP:PORT", like 192.168.1.3:7777 and localhost:7777 or Unix domain socket address "UDS://path" like UDS://tmp/lshttpd/myfcgi.sock.';
$tips[] = 'UDS is chrooted in chroot environment.';
$tips[] = 'For local FCGI, Unix domain socket is preferred due to security and better performance. If you have to use IPv4 socket, set the IP part to localhost or 127.0.0.1, thus the FCGI is inaccessible from other machines.';
$tips[] = 'For local FCGI, you can let web server start it. In this case, you need to specify path, backlog and number of instances.';

$f = &$wizard->_temp;
$e = $wizard->_tempErr;
if ( $wizard->_actType == 'A' )
{
	$fname = 'Adding New External App';
	$f['type'] = 'fcgi';
}
else
	$fname = $f['name'];
if ( $curPage == 'vhExt1.php' )
	$_SESSION['VH_ROOT'] = $wizard->_attr['VH_ROOT'];

$onload = 'onload="javascript:toggle('.$f['autoStart']. ')"';
include 'wizardHeader.php'; 
?>


<script language="javascript">
<!-- begin
function toggleType()
{
	if ( document.wizardform.type.selectedIndex != 0 )
	{
		document.wizardform.autoStart[1].click();
		document.wizardform.autoStart[0].disabled = true;
		document.wizardform.autoStart[1].disabled = true;
		toggle(0);
	}
	else
	{
		document.wizardform.autoStart[0].disabled = false;
		document.wizardform.autoStart[1].disabled = false;
	}
}

function toggle(type)
{
	if ( type == 1 )
	{
		document.wizardform.path.disabled = false;
		document.wizardform.backlog.disabled = false;
		document.wizardform.instances.disabled = false;
	}
	else
	{
		document.wizardform.path.disabled = true;
		document.wizardform.backlog.disabled = true;
		document.wizardform.instances.disabled = true;
	}
}
// end -->
</script>

<table width="100%" border="0" cellpadding="0" cellspacing="10">
<?php if ( isset($titleLabel) ) {
	$tblDef->showTitleLabel($titleLabel);
} ?>

	<tr><td align="center">
<?php  $cur_table = &$tblDef->getTblDef('A_EXT');
	$cur_table->setTitle('C', $fname);
	$cur_table->toHtmlInput($f, $e, NULL); 
?>
	</td></tr>
</table>

<?php 
include 'wizardFooter.php';
?>
