<?php
$title = 'Listener settings';
$tips = array();
$tips[] = 'For SSL versions and encryption levels, please select all you want to accept.';
$curPage = 'listenerSSL2.php';
$l = &$wizard->_temp;
include 'wizardHeader.php';

$ciphers = explode(':',$l['ciphers']);
$c = array( 'SSLv2' => ' ', 'SSLv3' => ' ', 'TLSv1' => ' ',
	'HIGH' => ' ', 'MEDIUM' => ' ', 'LOW' => ' ', 'EXPORT56' => ' ', 'EXPORT40' => ' ');
foreach( $ciphers as $ci )
{
	if ( isset($c[$ci]) && $c[$ci] != '' )
	{
		$c[$ci] = 'checked';
	}
	else
	{
		$a = substr($ci,1);
		if ( isset($c[$a]) )
		{
			if ( $ci{0} == '+' && $c[$a] == ' ' )
				$c[$a] = 'checked';
			else if ( $ci{0} == '!' && $c[$a] != '' )
				$c[$a] = '';
		}
	}
}

?>
<table width="100%" border="0" cellpadding="0" cellspacing="10">
	<?php $tblDef->showTitleLabel('Listener '.$wizard->_temp['name']); ?>
	<tr><td>
		<table width="550" class="gt" border="0" cellpadding="5" cellspacing="1">
			<tr class="gt-title"><td>SSL Protocol</td></tr>
			<tr class="gt-header"><td>SSL Version</td></tr>
			<tr class="gt-content"><td><table border="0" width="100%" cellpadding="3" cellspacing="0">
					<tr class="gt-content-c">
						<td><input type="checkbox" name="ck0" value="SSLv2" <?php echo $c['SSLv2'];?>>SSL v2.0</td>
						<td><input type="checkbox" name="ck1" value="SSLv3" <?php echo $c['SSLv3'];?>>SSL v3.0</td>
						<td><input type="checkbox" name="ck2" value="TLSv1" <?php echo $c['TLSv1'];?>>TLS v1.0</td>
					</tr>
					</table>
            </td></tr>
			<tr class="gt-header"><td>Encryption Level</td></tr>
			<tr class="gt-content"><td><table border="0" cellpadding="3" cellspacing="0">
				<tr class="gt-content"><td><input type="checkbox" name="ck3" value="HIGH" <?php echo $c['HIGH'];?>></td>
					<td width="80">HIGH</td><td>Using triple-DES encryption</td></tr>
				<tr class="gt-content"><td><input type="checkbox" name="ck4" value="MEDIUM" <?php echo $c['MEDIUM'];?>></td>
					<td>MEDIUM</td><td>Using 128-bit encryption</td></tr>
				<tr class="gt-content"><td><input type="checkbox" name="ck5" value="LOW" <?php echo $c['LOW'];?>></td>
					<td>LOW</td><td>Using 64 or 56 bit encryption but exclude Export cipher suites</td></tr>
				<tr class="gt-content"><td><input type="checkbox" name="ck6" value="EXPORT56" <?php echo $c['EXPORT56'];?>></td>
					<td>EXPORT56</td><td>Using 56-bit Export encryption</td></tr>
				<tr class="gt-content"><td><input type="checkbox" name="ck7" value="EXPORT40" <?php echo $c['EXPORT40'];?>></td>
					<td>EXPORT40</td><td>Using 40-bit Export encryption</td></tr>
				</td></tr>
				</table>
			</td></tr>
        </table>
	</td></tr>
</table>

<?php 
include 'wizardFooter.php';
?>
