<?php
$lName = $confMgr->_menu[$menuId]['disp'];
$listener = &$confMgr->_serv['listeners'][$lName];
$err = &$confMgr->_servErr['listeners'][$lName];

$tabName = array('General', 'SSL');
$tabIndex = 1;

include 'tabHeader.php';

$ciphers = explode(':',$listener['ciphers']);
$c = array( 'SSLv2' => 0, 'SSLv3' => 0, 'TLSv1' => 0,
	'HIGH' => 0, 'MEDIUM' => 0, 'LOW' => 0, 'EXPORT56' => 0, 'EXPORT40' => 0);
foreach( $ciphers as $ci )
{
	if ( isset($c[$ci]) && $c[$ci] != '' )
	{
		$c[$ci] = 1;
	}
	else
	{
		$a = substr($ci,1);
		if ( isset($c[$a]) )
		{
			if ( $ci{0} == '+' && $c[$a] == ' ' )
				$c[$a] = 1;
			else if ( $ci{0} == '!' && $c[$a] != '' )
				$c[$a] = 0;
		}
	}
}

function showCheckBox($val)
{
	$gif = ( $val )? 'checked.gif':'unchecked.gif';
	echo '<img src="/images/graphics/'.$gif.'" width="12" height="12">';
}
?>
<table width="100%" border="0" cellpadding="0" cellspacing="10">
	<?php $tblDef->showTitleLabel("Listener $lName"); ?>
	<tr><td>
<?php 
$cur_table = &$tblDef->getTblDef('L_CERT');
$edit = '<a href="javascript:wiz(\'ELssl\',\''. $lName . "','listenerSSL1.php'".')">Edit</a>';
$cur_table->_titleActionLink = $edit;
$cur_table->toHtml($listener, $err, NULL); 
?>
	</td></tr>
	<tr><td>
		<table width="575" class="gt" border="0" cellpadding="5" cellspacing="1">
			<tr class="gt-title"><td>
				<table width="100%" border="0" cellpadding="0" cellspacing="0"><tr>
					<td width="100">&nbsp;</td><td nowrap class="gt-title">SSL Protocol</td><td width="100" nowrap class="edit-link"><a href="javascript:wiz('ELssl','<?php echo $lName;?>','listenerSSL2.php')">Edit</a></td>
				</tr></table>
			</td></tr>
			<tr class="gt-header"><td>SSL Version</td></tr>
			<tr class="gt-content"><td><table border="0" cellpadding="3" width="100%" cellspacing="0">
				    <tr class="gt-content-c">
					<td><?php showCheckBox($c['SSLv2']);?> SSL v2.0</td>
					<td><?php showCheckBox($c['SSLv3']);?> SSL v3.0</td>
					<td><?php showCheckBox($c['TLSv1']);?> TLS v1.0</td>
					</tr>
					</table>
            </td></tr>
			<tr class="gt-header"><td>Encryption Level</td></tr>
			<tr class="gt-content"><td><table border="0" cellpadding="3" cellspacing="0">
				<tr class="gt-content"><td><?php showCheckBox($c['HIGH']);?></td>
					<td width="80">HIGH</td><td>Using triple-DES encryption</td></tr>
				<tr class="gt-content"><td><?php showCheckBox($c['MEDIUM']);?></td>
					<td>MEDIUM</td><td>Using 128-bit encryption</td></tr>
				<tr class="gt-content"><td><?php showCheckBox($c['LOW']);?></td>
					<td>LOW</td><td>Using 64 or 56 bit encryption but exclude Export cipher suites</td></tr>
				<tr class="gt-content"><td><?php showCheckBox($c['EXPORT56']);?></td>
					<td>EXPORT56</td><td>Using 56-bit Export encryption</td></tr>
				<tr class="gt-content"><td><?php showCheckBox($c['EXPORT40']);?></td>
					<td>EXPORT40</td><td>Using 40-bit Export encryption</td></tr>
				</td></tr>
				</table>
			</td></tr>
        </table>
	</td></tr>
</table>
<?php 
include 'tabFooter.php';
include 'confFooter.php';
?>
