<?php
$title = 'Listener settings';
$tips = array();
$tips[] = 'Select the virtual hosts that you want to map to this listener.';
$tips[] = 'Enter all the domains that you want this listener to response. Use comma "," to separate individual domain.';
$tips[] = 'You can choose only one virtual host to handle all unspecified domains, put "*" in domains.';
$tips[] = 'If you have not set up the virtual host you want to map, you can skip this step and come back later';

$vhmap = &$wizard->_temp['vhmap'];

$vhs = array_keys($confMgr->_serv['vhTop']);
sort($vhs);
$data = array();
foreach ( $vhs as $vh )
{
	$data[$vh]['vh']['val'] = $vh;
	$data[$vh]['vh']['chk'] = isset($vhmap[$vh]);
	$data[$vh]['domain'] = $vhmap[$vh]['domain'];
}

$curPage = 'listenerVh1.php';
include 'wizardHeader.php';
?>

<script language="javascript">
<!-- begin
function sel(index, chkbox)
{
	field = eval('document.wizardform.domain' + index);
	field.disabled = !chkbox.checked;
}
// end -->
</script>

<table width="100%" border="0" cellpadding="0" cellspacing="10">
	<?php $tblDef->showTitleLabel("Listener " .$wizard->_temp['name']); ?>
	<tr><td>
<?php
	$cur_table = &$tblDef->getTblDef('L_VHMAP');
	$cur_table->printHeaderLine(true);
	$i = 1;
	$isDisable = array(0=>false, 1=>false);
	foreach ( $vhs as $vh )
	{
		$cur_table->_dattrs[0]->_inputAttr = 'onClick="javascript:sel('.$i.','. this.')"';
		$isDisable[1] = ! ( $data[$vh]['vh']['chk'] );
		$cur_table->printHtmlInput1Line($data[$vh], $wizard->_tempErr['vhmap'][$vh], $i++, $isDisable);
	}
?>
	</table>
	</td></tr>

</table>
<?php 
include 'wizardFooter.php';
?>
