<?php
$title = 'General';
$curPage = 'servGeneral6.php';
$tips = array();
$tips[] = 'Expires can be set at server, virtual host and context level. Lower level settings will override higher level settings.';
$tips[] = 'Expires Default syntax is A|Mseconds, means after base time (A or M) plus the specified time in seconds, the file will expire. "A" means client access time, "M" means file modified time. You can override this default setting by different MIME type. For e.g., A86400 means the file will expire after 1 day based on client access time.';
$tips[] = 'Expires By Type will override default settings. Each entry is in the format of "MIME-type=A|Mseconds" with no space in between. You can input multiple entries separated by comma.';
$tips[] = 'Here are some commonly used numbers: 1 hour = 3600 sec; 1 day = 86400 sec; 1 week = 604800 sec; 1 month = 2592000 sec; 1 year = 31536000 sec.';
include 'wizardHeader.php';

$g = &$wizard->_temp;

?>

<table width="100%" border="0" cellpadding="0" cellspacing="10">
	<?php $tblDef->showTitleLabel('Server ' . $g['serverName']); ?>
	<tr><td>
	<?php $cur_table = &$tblDef->getTblDef('SERV_EXPIRES');
		$cur_table->toHtmlInput($g, $wizard->_tempErr, NULL); ?>
	</td></tr>
</table>

<?php 
include 'wizardFooter.php';
?>
