<?php 
$title = 'Virtual Host Security settings';
$curPage = 'vhSecurity2.php';
$vhname = $wizard->_objId;

$tips = array();
$tips[] = 'You can set up access control at virtual host level. If there is access control at server level, the virtual host rules will be applied after the server rules are satisfied.';
$tips[] = 'To deny access from certain address, put "ALL" in allowed list, and put subnet or IP in denied list. To allow only certain IP or subnet to access the site, put "ALL" in denied list and specify the address in the allowed list.';
$tips[] = 'Input format can be either IP like 192.168.0.2, or subnet like 192.168.* or subnet/netmask like 192.168.128.5/255.255.128.0.';

include 'wizardHeader.php';

?>
<table width="100%" border="0" cellpadding="0" cellspacing="10">
	<?php $tblDef->showTitleLabel("Virtual Host $vhname"); ?>
	<tr><td>
	<?php $cur_table = &$tblDef->getTblDef('A_SECAC');
		$cur_table->toHtmlInput($wizard->_temp, $wizard->_tempErr, NULL); ?>
	</td></tr>
</table>
<?php 
include 'wizardFooter.php';
?>
