<?php
require_once('../scripts/Wizard.php'); 
require_once('../scripts/DTblDef.php');

session_start(); 
$CONF_ID = $_SESSION['CONF_ID'];
if ( !isset($_SESSION['CONF_ID']) )
{
	exit();
}

$curTime = time();
if ( $curTime - $_SESSION['online'] > 600 )
{
	header('Location: /admin/timeout1.php');
	exit();
}
else
	$_SESSION['online'] = $curTime;

if ( !isset($GLOBALS['_DTblDef_']) )
	$GLOBALS['_DTblDef_'] = new DTblDef();

$tblDef = &$GLOBALS['_DTblDef_'];

if ( !isset($_SESSION['wizard']) )
{
	$wizard = new Wizard();
	$_SESSION['wizard'] = &$wizard;
}
else
{
	$wizard = &$_SESSION['wizard'];
}
$confMgr = &$_SESSION[$CONF_ID];
$post_curPage = $_POST['curPage'];
$nextPage = $_POST['nextPage'];
if ( $post_curPage )
{
	$goFlag = $wizard->extractValue( $post_curPage );
	if ( $goFlag <= 0 )
	{
		include "$post_curPage";
	}
	else
	{
		if ( $_POST['trigger'] == 'wzfin' ) 
		{
			$goFlag = $wizard->finish($post_curPage, $confMgr);
		}
		if ( $goFlag <= 0 )
		{
			include "$post_curPage";
		}
		else
		{
			include "$nextPage";
		}
	}

}
else
{
	$wizard->init($confMgr, $_GET['objName'], $_GET['objId'], $_GET['finishPage'], $_GET['parentWin']); 
	$nextPage = $_GET['nextPage'];
	include "$nextPage";
}

?>