<?php

function spacer($width, $height)
{
	echo '<img src="/images/graphics/spacer.gif" width="' . $width . '" height="' . $height . '">';
}
function &genOptions(&$options, $selValue)
{
	$output = '';
	foreach ( $options as $key => $value )
	{
		$output .= '<option value="' . $key .'"';
		if ( $key === $selValue )
			$output .= ' selected';
		$output .= ">$value</option>\n";
	}
	return $output;
}
$totalSteps = count($stepGuide);
?>
<html>
<head>
<title><?php echo $title; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-control" content="no-cache">
<link rel="stylesheet" type="text/css" href="/styles/servconf.css">
<script src="../scripts/wizard.js"></script>
</head>

<body <?php echo $onload;?>>
<form name="wizardform" method="post" action="wizControl.php">
<input type="hidden" name="curPage" value="<?php echo $curPage;?>">
<input type="hidden" name="nextPage" value="<?php echo $nextPage;?>">
<input type="hidden" name="trigger">
<input type="hidden" name="file_create">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr><td><table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
<?php if (isset($stepGuide) ) { ?>
	<td valign="top" bgColor="#F7F7FA">
		<table border="0" width="150" cellpadding="0" cellspacing="0">
		<tr><td class="step-header">Steps</td></tr>
			<?php foreach ( $stepGuide as $guide ) {
			$tt = ($guide{0} == $curStep)? 'step-active':'step-inactive';
			echo '<tr><td class="' . $tt . '">' . $guide . '</td></tr>'; }?>
		</table>
	</td>
<?php } ?>
	<td><table width="100%" border="0" cellpadding="0" cellspacing="0">
			<?php if ( $tips ) { ?>
			<tr><td>
				<table class="tips" width="100%" border="0" cellpadding="0" cellspacing="2">
					<tr><td>Tips:</td></tr>
					<?php foreach( $tips as $tip ) { 
						echo "<tr><td>&nbsp;&nbsp;&#149 $tip</td></tr>";} ?>
				</table>
			</td></tr>
			<?php }
			if ( $goFlag == -1 ) { ?>
			<tr><td><?php spacer(1,10);?></td></tr>
			<tr><td class="label-error">&nbsp;&nbsp;&nbsp;Please fix the invalid input first.</td></tr>
			<?php } ?>
			<tr><td><?php spacer(1,10);?></td></tr>
			<tr><td>
