<?php
function genOptions(&$options, $selValue)
{
	$output = '';
	foreach ( $options as $key => $value )
	{
		$output .= '<option value="' . $key .'"';
		if ( $key === $selValue )
			$output .= ' selected';
		$output .= ">$value</option>\n";
	}
	return $output;
}
$options = array('E'=>'ERROR', 'W'=>'WARNING',
			   'N'=>'NOTICE', 'I'=>'INFO', 'D'=>'DEBUG');
$logfile = $confMgr->getServerLogFileName();
$data = &$service->getLogData($logfile);
?>
<html>
<head>
<title>LiteSpeed Web Server Log Viewer</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-control" content="no-cache">
<link rel="stylesheet" type="text/css" href="/styles/servconf.css">
</head>

<body>
<form name="logform" method="get">
<input type="hidden" name="vl" value="1">
<table width="100%" border="0" cellpadding="0" cellspacing="20">
<tr><td class="label-title">Server Log Viewer</td></tr>
<tr><td>
	<table class="filter" width="100%" border="0" cellpadding="10" cellspacing="0">
		<tr>
			<td>Display Level:<br><select name="sel_level">
<?php echo( genOptions($options, $data['level']) ); ?>
			</select></td>
			<td>Current Log Size: <?php echo $data['logSize'];?> KB<br>
			Search from <input name="searchFrom" type="text" size="10" value="<?php echo $data['searchFrom'];?>"> KB &nbsp;&nbsp;&nbsp;Length <input name="searchSize" type="text" size="10" value="<?php echo $data['searchSize'];?>"> KB</td>
		</tr>
		<tr>
			<td colspan="2" align="center" nowrap>
<input type="image" name="begin" height="22" width="55" src="/images/buttons/begin.gif">&nbsp;&nbsp;
<input type="image" name="prev" height="22" width="55" src="/images/buttons/prev.gif">&nbsp;&nbsp;
<input type="image" name="refresh" height="22" width="55" src="/images/buttons/refresh.gif">&nbsp;&nbsp;
<input type="image" name="next" height="22" width="55" src="/images/buttons/next.gif">&nbsp;&nbsp;
<input type="image" name="end" height="22" width="55" src="/images/buttons/end.gif">&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;
<a href="javascript:window.print()"><img height="22" width="55" border=0 alt=Print src="/images/buttons/print.gif"></a>&nbsp;&nbsp;
<a href="javascript:window.close()"><img height="22" width="55" border=0 alt=Close src="/images/buttons/close.gif"></a></td>
		</tr>
	</table>
</td></tr>
<tr><td>
	<table class="log" width="100%" border="1" cellpadding="2" cellspacing="0">
		<tr class="log-header"><td width="170">Time Stamp</td><td width="50">Level</td><td>Message</td></tr>
			<?php $service->showLog($data);?>
	</table>
</td></tr>
<tr class="filter">
	<td align="center" nowrap>
<input type="image" name="begin" height="22" width="55" src="/images/buttons/begin.gif">&nbsp;&nbsp;
<input type="image" name="prev" height="22" width="55" src="/images/buttons/prev.gif">&nbsp;&nbsp;
<input type="image" name="next" height="22" width="55" src="/images/buttons/next.gif">&nbsp;&nbsp;
<input type="image" name="end" height="22" width="55" src="/images/buttons/end.gif">&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;
<a href="javascript:window.print()"><img height="22" width="55" border=0 alt=Print src="/images/buttons/print.gif"></a>&nbsp;&nbsp;
<a href="javascript:window.close()"><img height="22" width="55" border=0 alt=Close src="/images/buttons/close.gif"></a></td>
</tr>

<?php include '../../copyright.php'; ?>
</table>
</form>
</body>
</html>
