<?php
require_once('../scripts/ConfManager.php'); 
require_once('../scripts/Service.php');

$banner_text = 'Service Manager'; 
include '../authHeader.php';

$CONF_ID = 'confMgr';

if ( !isset($_SESSION[$CONF_ID]) )
{
	$confMgr = new ConfManager();
	if ( $confMgr->loadConfig($CONF_ID) )
		$_SESSION[$CONF_ID] = &$confMgr;
}
else
{
	$confMgr = &$_SESSION[$CONF_ID];
	$confMgr->_isChanged = false;
}


if ( !isset($_SESSION['serviceMgr']) )
{
	$service = new Service();
	$service->init();
	$_SESSION['serviceMgr'] = &$service;
}
else
{
	$service = &$_SESSION['serviceMgr'];
}
$act = $_GET['act'];
$actId = $_GET['actId'];
$vl = $_GET['vl'];

if ( $vl )
{
	include 'logViewer.php';
}
elseif ( $act == 'restart' )
{
	header("location: restart.html");
	$service->process($act, $actId);
}
else
{
	if ( $act )
		$service->process($act, $actId);
	else
		$service->init();

	$service->refreshConf($confMgr->exportConf());

	include 'homeCont.php';
}
?>
